a45ea9e4e28d440ee01de97a12c03a6601b383de
[scilab.git] / scilab / modules / localization / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = { \
46   if test -z '$(MAKELEVEL)'; then \
47     false; \
48   elif test -n '$(MAKE_HOST)'; then \
49     true; \
50   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
51     true; \
52   else \
53     false; \
54   fi; \
55 }
56 am__make_running_with_option = \
57   case $${target_option-} in \
58       ?) ;; \
59       *) echo "am__make_running_with_option: internal error: invalid" \
60               "target option '$${target_option-}' specified" >&2; \
61          exit 1;; \
62   esac; \
63   has_opt=no; \
64   sane_makeflags=$$MAKEFLAGS; \
65   if $(am__is_gnu_make); then \
66     sane_makeflags=$$MFLAGS; \
67   else \
68     case $$MAKEFLAGS in \
69       *\\[\ \   ]*) \
70         bs=\\; \
71         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
72           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
73     esac; \
74   fi; \
75   skip_next=no; \
76   strip_trailopt () \
77   { \
78     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
79   }; \
80   for flg in $$sane_makeflags; do \
81     test $$skip_next = yes && { skip_next=no; continue; }; \
82     case $$flg in \
83       *=*|--*) continue;; \
84         -*I) strip_trailopt 'I'; skip_next=yes;; \
85       -*I?*) strip_trailopt 'I';; \
86         -*O) strip_trailopt 'O'; skip_next=yes;; \
87       -*O?*) strip_trailopt 'O';; \
88         -*l) strip_trailopt 'l'; skip_next=yes;; \
89       -*l?*) strip_trailopt 'l';; \
90       -[dEDm]) skip_next=yes;; \
91       -[JT]) skip_next=yes;; \
92     esac; \
93     case $$flg in \
94       *$$target_option*) has_opt=yes; break;; \
95     esac; \
96   done; \
97   test $$has_opt = yes
98 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
99 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
100 pkgdatadir = $(datadir)/@PACKAGE@
101 pkgincludedir = $(includedir)/@PACKAGE@
102 pkglibdir = $(libdir)/@PACKAGE@
103 pkglibexecdir = $(libexecdir)/@PACKAGE@
104 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
105 install_sh_DATA = $(install_sh) -c -m 644
106 install_sh_PROGRAM = $(install_sh) -c
107 install_sh_SCRIPT = $(install_sh) -c
108 INSTALL_HEADER = $(INSTALL_DATA)
109 transform = $(program_transform_name)
110 NORMAL_INSTALL = :
111 PRE_INSTALL = :
112 POST_INSTALL = :
113 NORMAL_UNINSTALL = :
114 PRE_UNINSTALL = :
115 POST_UNINSTALL = :
116 build_triplet = @build@
117 host_triplet = @host@
118 @NEED_JAVA_TRUE@am__append_1 = \
119 @NEED_JAVA_TRUE@    src/jni/Messages_wrap.c \
120 @NEED_JAVA_TRUE@    src/jni/LocaleToLCID_wrap.c \
121 @NEED_JAVA_TRUE@    src/jni/setdefaultlanguage_wrap.c
122
123 @IS_MACOSX_TRUE@am__append_2 = \
124 @IS_MACOSX_TRUE@    src/c/getLocaleInfo_Apple.c
125
126
127 # FIXME: platform dependent things should be in configure.ac
128 @IS_MACOSX_TRUE@am__append_3 = -framework Cocoa
129 @IS_MACOSX_TRUE@am__append_4 = -lintl
130 @IS_MACOSX_TRUE@am__append_5 = -framework Cocoa
131 @NEED_JAVA_TRUE@am__append_6 = java
132 subdir = modules/localization
133 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
134 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
135         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
136         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
137         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
138         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
139         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
140         $(top_srcdir)/m4/intel_compiler.m4 \
141         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
142         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
143         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
144         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
145         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
146         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
147         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
148         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
149         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
150         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
151         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
152 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
153         $(ACLOCAL_M4)
154 DIST_COMMON = $(srcdir)/Makefile.am \
155         $(libscilocalization_la_include_HEADERS) $(am__DIST_COMMON)
156 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
157 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
158 CONFIG_CLEAN_FILES =
159 CONFIG_CLEAN_VPATH_FILES =
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
188         "$(DESTDIR)$(libscilocalization_la_etcdir)" \
189         "$(DESTDIR)$(libscilocalization_la_rootdir)" \
190         "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" \
191         "$(DESTDIR)$(libscilocalization_la_includedir)"
192 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
193 libscilocalization_algo_la_LIBADD =
194 am__libscilocalization_algo_la_SOURCES_DIST =  \
195         src/c/InitializeLocalization.c src/c/setgetlanguage.c \
196         src/c/getLcidString.c src/c/charEncoding.c \
197         src/c/setdefaultlanguage.c src/jni/Messages_wrap.c \
198         src/jni/LocaleToLCID_wrap.c src/jni/setdefaultlanguage_wrap.c \
199         src/c/getLocaleInfo_Apple.c src/cpp/localization.cpp
200 am__dirstamp = $(am__leading_dot)dirstamp
201 @NEED_JAVA_TRUE@am__objects_1 = src/jni/libscilocalization_algo_la-Messages_wrap.lo \
202 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo \
203 @NEED_JAVA_TRUE@        src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo
204 @IS_MACOSX_TRUE@am__objects_2 = src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo
205 am__objects_3 =  \
206         src/c/libscilocalization_algo_la-InitializeLocalization.lo \
207         src/c/libscilocalization_algo_la-setgetlanguage.lo \
208         src/c/libscilocalization_algo_la-getLcidString.lo \
209         src/c/libscilocalization_algo_la-charEncoding.lo \
210         src/c/libscilocalization_algo_la-setdefaultlanguage.lo \
211         $(am__objects_1) $(am__objects_2)
212 am__objects_4 = src/cpp/libscilocalization_algo_la-localization.lo
213 am_libscilocalization_algo_la_OBJECTS = $(am__objects_3) \
214         $(am__objects_4)
215 libscilocalization_algo_la_OBJECTS =  \
216         $(am_libscilocalization_algo_la_OBJECTS)
217 AM_V_lt = $(am__v_lt_@AM_V@)
218 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
219 am__v_lt_0 = --silent
220 am__v_lt_1 = 
221 am__DEPENDENCIES_1 =
222 libscilocalization_la_DEPENDENCIES = libscilocalization-algo.la \
223         $(am__DEPENDENCIES_1)
224 am__objects_5 = sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo \
225         sci_gateway/c/libscilocalization_la-sci_gettext.lo
226 am__objects_6 =  \
227         sci_gateway/cpp/libscilocalization_la-localization_gw.lo \
228         sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo \
229         sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo \
230         sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo \
231         sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo
232 am_libscilocalization_la_OBJECTS = $(am__objects_5) $(am__objects_6)
233 libscilocalization_la_OBJECTS = $(am_libscilocalization_la_OBJECTS)
234 libscilocalization_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
235         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
236         $(AM_CXXFLAGS) $(CXXFLAGS) $(libscilocalization_la_LDFLAGS) \
237         $(LDFLAGS) -o $@
238 AM_V_P = $(am__v_P_@AM_V@)
239 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
240 am__v_P_0 = false
241 am__v_P_1 = :
242 AM_V_GEN = $(am__v_GEN_@AM_V@)
243 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
244 am__v_GEN_0 = @echo "  GEN     " $@;
245 am__v_GEN_1 = 
246 AM_V_at = $(am__v_at_@AM_V@)
247 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
248 am__v_at_0 = @
249 am__v_at_1 = 
250 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
251 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
252 am__depfiles_maybe = depfiles
253 am__mv = mv -f
254 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
255         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
256 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
257         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
258         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
259         $(AM_CFLAGS) $(CFLAGS)
260 AM_V_CC = $(am__v_CC_@AM_V@)
261 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
262 am__v_CC_0 = @echo "  CC      " $@;
263 am__v_CC_1 = 
264 CCLD = $(CC)
265 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
266         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
267         $(AM_LDFLAGS) $(LDFLAGS) -o $@
268 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
269 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
270 am__v_CCLD_0 = @echo "  CCLD    " $@;
271 am__v_CCLD_1 = 
272 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
273         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
274 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
275         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
276         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
277         $(AM_CXXFLAGS) $(CXXFLAGS)
278 AM_V_CXX = $(am__v_CXX_@AM_V@)
279 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
280 am__v_CXX_0 = @echo "  CXX     " $@;
281 am__v_CXX_1 = 
282 CXXLD = $(CXX)
283 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
284         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
285         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
286 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
287 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
288 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
289 am__v_CXXLD_1 = 
290 SOURCES = $(libscilocalization_algo_la_SOURCES) \
291         $(libscilocalization_la_SOURCES)
292 DIST_SOURCES = $(am__libscilocalization_algo_la_SOURCES_DIST) \
293         $(libscilocalization_la_SOURCES)
294 am__can_run_installinfo = \
295   case $$AM_UPDATE_INFO_DIR in \
296     n|no|NO) false;; \
297     *) (install-info --version) >/dev/null 2>&1;; \
298   esac
299 DATA = $(libscilocalization_la_etc_DATA) \
300         $(libscilocalization_la_root_DATA) \
301         $(libscilocalization_la_sci_gateway_DATA)
302 HEADERS = $(libscilocalization_la_include_HEADERS)
303 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
304 # Read a list of newline-separated strings from the standard input,
305 # and print each of them once, without duplicates.  Input order is
306 # *not* preserved.
307 am__uniquify_input = $(AWK) '\
308   BEGIN { nonempty = 0; } \
309   { items[$$0] = 1; nonempty = 1; } \
310   END { if (nonempty) { for (i in items) print i; }; } \
311 '
312 # Make sure the list of sources is unique.  This is necessary because,
313 # e.g., the same source file might be shared among _SOURCES variables
314 # for different programs/libraries.
315 am__define_uniq_tagged_files = \
316   list='$(am__tagged_files)'; \
317   unique=`for i in $$list; do \
318     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
319   done | $(am__uniquify_input)`
320 ETAGS = etags
321 CTAGS = ctags
322 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
323         $(top_srcdir)/config/depcomp \
324         $(top_srcdir)/config/mkinstalldirs
325 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
326 ACLOCAL = @ACLOCAL@
327 ALL_LINGUAS = @ALL_LINGUAS@
328 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
329 AMTAR = @AMTAR@
330 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
331 ANT = @ANT@
332 ANTLR = @ANTLR@
333 AR = @AR@
334 ARPACK_LIBS = @ARPACK_LIBS@
335 ASM3 = @ASM3@
336 AUTOCONF = @AUTOCONF@
337 AUTOHEADER = @AUTOHEADER@
338 AUTOMAKE = @AUTOMAKE@
339 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
340 AWK = @AWK@
341 BATIK = @BATIK@
342 BLAS_LIBS = @BLAS_LIBS@
343 CC = @CC@
344 CCACHE = @CCACHE@
345 CCDEPMODE = @CCDEPMODE@
346 CFLAGS = @CFLAGS@
347 CHECKSTYLE = @CHECKSTYLE@
348 COBERTURA = @COBERTURA@
349 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
350 COMMONS_IO = @COMMONS_IO@
351 COMMONS_LOGGING = @COMMONS_LOGGING@
352 CPP = @CPP@
353 CPPFLAGS = @CPPFLAGS@
354 CURL_CFLAGS = @CURL_CFLAGS@
355 CURL_CONFIG = @CURL_CONFIG@
356 CURL_LIBS = @CURL_LIBS@
357 CURL_VERSION = @CURL_VERSION@
358 CXX = @CXX@
359 CXXCPP = @CXXCPP@
360 CXXDEPMODE = @CXXDEPMODE@
361 CXXFLAGS = @CXXFLAGS@
362 CYGPATH_W = @CYGPATH_W@
363 DEFS = @DEFS@
364 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
365 DEPDIR = @DEPDIR@
366 DLLTOOL = @DLLTOOL@
367 DOCBOOK_ROOT = @DOCBOOK_ROOT@
368 DOXYGEN_BIN = @DOXYGEN_BIN@
369 DSYMUTIL = @DSYMUTIL@
370 DUMPBIN = @DUMPBIN@
371 ECHO_C = @ECHO_C@
372 ECHO_N = @ECHO_N@
373 ECHO_T = @ECHO_T@
374 ECJ = @ECJ@
375 EGREP = @EGREP@
376 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
377 EXEEXT = @EXEEXT@
378 F77 = @F77@
379 FFLAGS = @FFLAGS@
380 FFTW3_LIB = @FFTW3_LIB@
381 FFTW_ENABLE = @FFTW_ENABLE@
382 FGREP = @FGREP@
383 FLEXDOCK = @FLEXDOCK@
384 FLIBS = @FLIBS@
385 FOP = @FOP@
386 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
387 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
388 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
389 FREEHEP_IO = @FREEHEP_IO@
390 FREEHEP_UTIL = @FREEHEP_UTIL@
391 GENHTML = @GENHTML@
392 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
393 GIWS_BIN = @GIWS_BIN@
394 GLUEGEN2_RT = @GLUEGEN2_RT@
395 GMSGFMT = @GMSGFMT@
396 GMSGFMT_015 = @GMSGFMT_015@
397 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
398 GREP = @GREP@
399 GUI_ENABLE = @GUI_ENABLE@
400 HAVE_CXX11 = @HAVE_CXX11@
401 HDF5_CFLAGS = @HDF5_CFLAGS@
402 HDF5_LIBS = @HDF5_LIBS@
403 HELP_ENABLE = @HELP_ENABLE@
404 INSTALL = @INSTALL@
405 INSTALL_DATA = @INSTALL_DATA@
406 INSTALL_PROGRAM = @INSTALL_PROGRAM@
407 INSTALL_SCRIPT = @INSTALL_SCRIPT@
408 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
409 INTLLIBS = @INTLLIBS@
410 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
411 JAR = @JAR@
412 JAVA = @JAVA@
413 JAVAC = @JAVAC@
414 JAVAC_DEBUG = @JAVAC_DEBUG@
415 JAVADOC = @JAVADOC@
416 JAVAH = @JAVAH@
417 JAVASCI_ENABLE = @JAVASCI_ENABLE@
418 JAVA_ENABLE = @JAVA_ENABLE@
419 JAVA_G = @JAVA_G@
420 JAVA_HOME = @JAVA_HOME@
421 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
422 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
423 JDB = @JDB@
424 JEUCLID_CORE = @JEUCLID_CORE@
425 JGRAPHX = @JGRAPHX@
426 JHALL = @JHALL@
427 JLATEXMATH = @JLATEXMATH@
428 JLATEXMATH_FOP = @JLATEXMATH_FOP@
429 JOGL2 = @JOGL2@
430 JROSETTA_API = @JROSETTA_API@
431 JROSETTA_ENGINE = @JROSETTA_ENGINE@
432 JUNIT4 = @JUNIT4@
433 LAPACK_LIBS = @LAPACK_LIBS@
434 LCOV = @LCOV@
435 LD = @LD@
436 LDFLAGS = @LDFLAGS@
437 LEX = @LEX@
438 LEXLIB = @LEXLIB@
439 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
440 LIBICONV = @LIBICONV@
441 LIBINTL = @LIBINTL@
442 LIBM = @LIBM@
443 LIBOBJS = @LIBOBJS@
444 LIBS = @LIBS@
445 LIBTOOL = @LIBTOOL@
446 LIPO = @LIPO@
447 LN_S = @LN_S@
448 LOGGING_LEVEL = @LOGGING_LEVEL@
449 LOOKS = @LOOKS@
450 LTLIBICONV = @LTLIBICONV@
451 LTLIBINTL = @LTLIBINTL@
452 LTLIBOBJS = @LTLIBOBJS@
453 MAINT = @MAINT@
454 MAKEINFO = @MAKEINFO@
455 MANIFEST_TOOL = @MANIFEST_TOOL@
456 MATIO_CFLAGS = @MATIO_CFLAGS@
457 MATIO_ENABLE = @MATIO_ENABLE@
458 MATIO_LIBS = @MATIO_LIBS@
459 MKDIR_P = @MKDIR_P@
460 MPI_ENABLE = @MPI_ENABLE@
461 MSGCAT = @MSGCAT@
462 MSGFMT = @MSGFMT@
463 MSGFMT_015 = @MSGFMT_015@
464 MSGMERGE = @MSGMERGE@
465 NM = @NM@
466 NMEDIT = @NMEDIT@
467 OBJDUMP = @OBJDUMP@
468 OBJEXT = @OBJEXT@
469 OCAMLC = @OCAMLC@
470 OCAMLDEP = @OCAMLDEP@
471 OCAMLLEX = @OCAMLLEX@
472 OCAMLOPT = @OCAMLOPT@
473 OCAMLYACC = @OCAMLYACC@
474 OPENMPI_CC = @OPENMPI_CC@
475 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
476 OPENMPI_CXX = @OPENMPI_CXX@
477 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
478 OPENMPI_LIBS = @OPENMPI_LIBS@
479 OPENMP_CFLAGS = @OPENMP_CFLAGS@
480 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
481 OPENMP_ENABLE = @OPENMP_ENABLE@
482 OPENMP_LIBS = @OPENMP_LIBS@
483 OTOOL = @OTOOL@
484 OTOOL64 = @OTOOL64@
485 PACKAGE = @PACKAGE@
486 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
487 PACKAGE_NAME = @PACKAGE_NAME@
488 PACKAGE_STRING = @PACKAGE_STRING@
489 PACKAGE_TARNAME = @PACKAGE_TARNAME@
490 PACKAGE_URL = @PACKAGE_URL@
491 PACKAGE_VERSION = @PACKAGE_VERSION@
492 PATH_SEPARATOR = @PATH_SEPARATOR@
493 PCRE_CFLAGS = @PCRE_CFLAGS@
494 PCRE_CONFIG = @PCRE_CONFIG@
495 PCRE_LIBS = @PCRE_LIBS@
496 PCRE_VERSION = @PCRE_VERSION@
497 PKG_CONFIG = @PKG_CONFIG@
498 POSUB = @POSUB@
499 POW_LIB = @POW_LIB@
500 PYTHON = @PYTHON@
501 RANLIB = @RANLIB@
502 RELOCATABLE = @RELOCATABLE@
503 RT_LIB = @RT_LIB@
504 SAXON = @SAXON@
505 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
506 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
507 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
508 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
509 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
510 SCIRENDERER = @SCIRENDERER@
511 SCIRENDERER_CP = @SCIRENDERER_CP@
512 SCI_CFLAGS = @SCI_CFLAGS@
513 SCI_CXXFLAGS = @SCI_CXXFLAGS@
514 SCI_FFLAGS = @SCI_FFLAGS@
515 SCI_LDFLAGS = @SCI_LDFLAGS@
516 SED = @SED@
517 SET_MAKE = @SET_MAKE@
518 SET_RELOCATABLE = @SET_RELOCATABLE@
519 SHELL = @SHELL@
520 SKINLF = @SKINLF@
521 SPLINT = @SPLINT@
522 STRIP = @STRIP@
523 SWIG_BIN = @SWIG_BIN@
524 SWIG_JAVA = @SWIG_JAVA@
525 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
526 SWIG_SCILAB = @SWIG_SCILAB@
527 TCLTK_LIBS = @TCLTK_LIBS@
528 TCL_INC_PATH = @TCL_INC_PATH@
529 TK_INC_PATH = @TK_INC_PATH@
530 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
531 UMFPACK_ENABLE = @UMFPACK_ENABLE@
532 UMFPACK_LIB = @UMFPACK_LIB@
533 USE_NLS = @USE_NLS@
534 VERSION = @VERSION@
535 WITH_OCAML = @WITH_OCAML@
536 WITH_TKSCI = @WITH_TKSCI@
537 XCOS_ENABLE = @XCOS_ENABLE@
538 XGETTEXT = @XGETTEXT@
539 XGETTEXT_015 = @XGETTEXT_015@
540 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
541 XMKMF = @XMKMF@
542 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
543 XML_APIS_EXT = @XML_APIS_EXT@
544 XML_CONFIG = @XML_CONFIG@
545 XML_FLAGS = @XML_FLAGS@
546 XML_LIBS = @XML_LIBS@
547 XML_VERSION = @XML_VERSION@
548 X_CFLAGS = @X_CFLAGS@
549 X_EXTRA_LIBS = @X_EXTRA_LIBS@
550 X_LIBS = @X_LIBS@
551 X_PRE_LIBS = @X_PRE_LIBS@
552 YACC = @YACC@
553 YFLAGS = @YFLAGS@
554 abs_builddir = @abs_builddir@
555 abs_srcdir = @abs_srcdir@
556 abs_top_builddir = @abs_top_builddir@
557 abs_top_srcdir = @abs_top_srcdir@
558 ac_ct_AR = @ac_ct_AR@
559 ac_ct_CC = @ac_ct_CC@
560 ac_ct_CXX = @ac_ct_CXX@
561 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
562 ac_ct_F77 = @ac_ct_F77@
563 am__include = @am__include@
564 am__leading_dot = @am__leading_dot@
565 am__quote = @am__quote@
566 am__tar = @am__tar@
567 am__untar = @am__untar@
568 bindir = @bindir@
569 build = @build@
570 build_alias = @build_alias@
571 build_cpu = @build_cpu@
572 build_os = @build_os@
573 build_vendor = @build_vendor@
574 builddir = @builddir@
575 cxx_present = @cxx_present@
576 datadir = @datadir@
577 datarootdir = @datarootdir@
578 docdir = @docdir@
579 dvidir = @dvidir@
580 exec_prefix = @exec_prefix@
581 host = @host@
582 host_alias = @host_alias@
583 host_cpu = @host_cpu@
584 host_os = @host_os@
585 host_vendor = @host_vendor@
586 htmldir = @htmldir@
587 includedir = @includedir@
588 infodir = @infodir@
589 install_sh = @install_sh@
590 libdir = @libdir@
591 libexecdir = @libexecdir@
592 localedir = @localedir@
593 localstatedir = @localstatedir@
594 mandir = @mandir@
595 mkdir_p = @mkdir_p@
596 oldincludedir = @oldincludedir@
597 pdfdir = @pdfdir@
598 prefix = @prefix@
599 program_transform_name = @program_transform_name@
600 psdir = @psdir@
601 sbindir = @sbindir@
602 sharedstatedir = @sharedstatedir@
603 srcdir = @srcdir@
604 sysconfdir = @sysconfdir@
605 target_alias = @target_alias@
606 top_build_prefix = @top_build_prefix@
607 top_builddir = @top_builddir@
608 top_srcdir = @top_srcdir@
609 yacc_present = @yacc_present@
610 LOCALIZATION_C_SOURCES = src/c/InitializeLocalization.c \
611         src/c/setgetlanguage.c src/c/getLcidString.c \
612         src/c/charEncoding.c src/c/setdefaultlanguage.c \
613         $(am__append_1) $(am__append_2)
614 LOCALIZATION_CPP_SOURCES = \
615     src/cpp/localization.cpp
616
617 GATEWAY_C_SOURCES = \
618     sci_gateway/c/sci_addlocalizationdomain.c \
619     sci_gateway/c/sci_gettext.c
620
621 GATEWAY_CPP_SOURCES = \
622         sci_gateway/cpp/localization_gw.cpp \
623         sci_gateway/cpp/sci_setdefaultlanguage.cpp \
624         sci_gateway/cpp/sci_getdefaultlanguage.cpp \
625         sci_gateway/cpp/sci_setlanguage.cpp \
626         sci_gateway/cpp/sci_getlanguage.cpp
627
628 libscilocalization_la_CPPFLAGS = \
629     $(JAVA_JNI_INCLUDE) \
630     -I$(srcdir)/includes/ \
631     -I$(srcdir)/src/c/ \
632     -I$(top_srcdir)/modules/ast/includes/ast/ \
633     -I$(top_srcdir)/modules/ast/includes/exps/ \
634     -I$(top_srcdir)/modules/ast/includes/operations/ \
635     -I$(top_srcdir)/modules/ast/includes/parse/ \
636     -I$(top_srcdir)/modules/ast/includes/symbol/ \
637     -I$(top_srcdir)/modules/ast/includes/system_env/ \
638     -I$(top_srcdir)/modules/ast/includes/types/ \
639     -I$(top_srcdir)/modules/ast/includes/analysis/ \
640     -I$(top_srcdir)/modules/functions_manager/includes/ \
641     -I$(top_srcdir)/modules/core/includes/ \
642     -I$(top_srcdir)/modules/string/includes/ \
643     -I$(top_srcdir)/modules/fileio/includes/ \
644     -I$(top_srcdir)/modules/api_scilab/includes/ \
645     -I$(top_srcdir)/modules/output_stream/includes/ \
646     -I$(top_srcdir)/modules/dynamic_link/includes/ \
647     $(AM_CPPFLAGS)
648
649 pkglib_LTLIBRARIES = libscilocalization.la
650 noinst_LTLIBRARIES = libscilocalization-algo.la
651 libscilocalization_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_3)
652 libscilocalization_la_CFLAGS = $(AM_CFLAGS) $(am__append_5)
653 libscilocalization_algo_la_SOURCES = $(LOCALIZATION_C_SOURCES) $(LOCALIZATION_CPP_SOURCES)
654 libscilocalization_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
655 libscilocalization_algo_la_CPPFLAGS = $(libscilocalization_la_CPPFLAGS)
656
657 # For the code check (splint)
658 CHECK_SRC = $(libscilocalization_la_SOURCES)
659 INCLUDE_FLAGS = $(libscilocalization_la_CPPFLAGS)
660 libscilocalization_la_LIBADD = libscilocalization-algo.la \
661         $(am__append_4)
662
663 # $(top_builddir)/modules/io/libsciio.la
664 #### Target ######
665 modulename = localization
666
667 #### localization : Conf files ####
668 libscilocalization_la_rootdir = $(mydatadir)
669 libscilocalization_la_root_DATA = license.txt
670
671 ####localization : init scripts ####
672 libscilocalization_la_etcdir = $(mydatadir)/etc
673 libscilocalization_la_etc_DATA = etc/localization.quit etc/localization.start
674
675 ####´┐Żlocalization : gateway declaration ####
676 libscilocalization_la_sci_gatewaydir = $(mydatadir)/sci_gateway
677 libscilocalization_la_sci_gateway_DATA = sci_gateway/localization_gateway.xml
678
679 ####localization : include files ####
680 libscilocalization_la_includedir = $(pkgincludedir)
681 libscilocalization_la_include_HEADERS = includes/localization.h \
682 includes/localization.hxx \
683 includes/dynlib_localization.h \
684 includes/setgetlanguage.h \
685 includes/charEncoding.h
686
687 @GUI_TRUE@USEANT = 1
688
689 #### SWIG Declaration ####
690 SWIG_WRAPPERS = src/jni/Messages.i \
691 src/jni/LocaleToLCID.i
692
693 @SWIG_TRUE@BUILT_SOURCES = swig
694
695 # Where all the Scilab stuff is installed (macros, help, ...)
696 mydatadir = $(pkgdatadir)/modules/$(modulename)
697
698 # Set AM_* SCI detected settings
699 AM_CPPFLAGS = $(SCI_CPPFLAGS)
700 AM_CFLAGS = $(SCI_CFLAGS)
701 AM_CXXFLAGS = $(SCI_CXXFLAGS)
702 # append includes to AM_FFLAGS to manage fortran includes
703 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
704
705 # Tag shared libraries with the Scilab version
706 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
707
708 # splint options
709 SPLINT_OPTIONS = -weak -booltype BOOL
710
711 ########################### JAVA ######################################
712 #### We are delegating java compilation to ant... Thanks to that
713 #### the procedure will be the same with Microsoft Windows (C)
714 #### and Linux/Unix
715 #######################################################################
716 TARGETS_ALL = $(am__append_6)
717
718 ################ MACROS ######################
719 # Rule to build a macro
720 # NOT USED  AT THE MOMENT
721 SUFFIXES = .sci
722
723 ########### INSTALL DOCUMENTATION ###################
724
725 # Install documentation files into the right target
726 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
727 # automake needs the html files to be present which is not the case when
728 # we are building Scilab
729
730 # Where it should be installed
731 pkgdocdir = $(mydatadir)
732
733 # What is the mask of the help source
734 DOCMASKXML = *.xml
735
736 # What is the mask of the MathML sources
737 DOCMASKMML = *.mml
738
739 ########### INSTALL DATA ###################
740 # Install macros, help & demos
741 # Where it should be installed
742 pkgmacrosdir = $(mydatadir)
743 # Which directory we process
744 MACRODIRS = macros/
745 # Mask of the Scilab sources macros
746 MACROMASK = *.sci
747 # Mask of the Scilab executable sources macros
748 MACROBUILDMASK = *.sce
749 # Mask of the Scilab compiled macros
750 MACROBINMASK = *.bin
751 # List of the standard directory for tests
752 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
753 # Where the demos should be installed
754 pkgdemosdir = $(mydatadir)
755 # List of the standard directory for demos
756 DEMOS_DIR = demos
757 # List of the standard directory for examples
758 EXAMPLES_DIR = examples
759 # Where to export JAVA archives (.jar)
760 JARDIR = jar/
761 # JAR files mask
762 JARMASK = *.jar
763 # Chapter file
764 HELP_CHAPTERDIR = help/
765 HELP_CHAPTERFILE = addchapter.sce
766 HELP_CHAPTERLANG = en_US fr_FR pt_BR
767 all: $(BUILT_SOURCES)
768         $(MAKE) $(AM_MAKEFLAGS) all-am
769
770 .SUFFIXES:
771 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
772 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
773         @for dep in $?; do \
774           case '$(am__configure_deps)' in \
775             *$$dep*) \
776               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
777                 && { if test -f $@; then exit 0; else break; fi; }; \
778               exit 1;; \
779           esac; \
780         done; \
781         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/localization/Makefile'; \
782         $(am__cd) $(top_srcdir) && \
783           $(AUTOMAKE) --foreign modules/localization/Makefile
784 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
785         @case '$?' in \
786           *config.status*) \
787             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
788           *) \
789             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
790             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
791         esac;
792 $(top_srcdir)/Makefile.incl.am $(am__empty):
793
794 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
795         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
796
797 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
798         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
799 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
800         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
801 $(am__aclocal_m4_deps):
802
803 clean-noinstLTLIBRARIES:
804         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
805         @list='$(noinst_LTLIBRARIES)'; \
806         locs=`for p in $$list; do echo $$p; done | \
807               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
808               sort -u`; \
809         test -z "$$locs" || { \
810           echo rm -f $${locs}; \
811           rm -f $${locs}; \
812         }
813
814 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
815         @$(NORMAL_INSTALL)
816         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
817         list2=; for p in $$list; do \
818           if test -f $$p; then \
819             list2="$$list2 $$p"; \
820           else :; fi; \
821         done; \
822         test -z "$$list2" || { \
823           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
824           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
825           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
826           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
827         }
828
829 uninstall-pkglibLTLIBRARIES:
830         @$(NORMAL_UNINSTALL)
831         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
832         for p in $$list; do \
833           $(am__strip_dir) \
834           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
835           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
836         done
837
838 clean-pkglibLTLIBRARIES:
839         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
840         @list='$(pkglib_LTLIBRARIES)'; \
841         locs=`for p in $$list; do echo $$p; done | \
842               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
843               sort -u`; \
844         test -z "$$locs" || { \
845           echo rm -f $${locs}; \
846           rm -f $${locs}; \
847         }
848 src/c/$(am__dirstamp):
849         @$(MKDIR_P) src/c
850         @: > src/c/$(am__dirstamp)
851 src/c/$(DEPDIR)/$(am__dirstamp):
852         @$(MKDIR_P) src/c/$(DEPDIR)
853         @: > src/c/$(DEPDIR)/$(am__dirstamp)
854 src/c/libscilocalization_algo_la-InitializeLocalization.lo:  \
855         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
856 src/c/libscilocalization_algo_la-setgetlanguage.lo:  \
857         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
858 src/c/libscilocalization_algo_la-getLcidString.lo:  \
859         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
860 src/c/libscilocalization_algo_la-charEncoding.lo:  \
861         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
862 src/c/libscilocalization_algo_la-setdefaultlanguage.lo:  \
863         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
864 src/jni/$(am__dirstamp):
865         @$(MKDIR_P) src/jni
866         @: > src/jni/$(am__dirstamp)
867 src/jni/$(DEPDIR)/$(am__dirstamp):
868         @$(MKDIR_P) src/jni/$(DEPDIR)
869         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
870 src/jni/libscilocalization_algo_la-Messages_wrap.lo:  \
871         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
872 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo:  \
873         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
874 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo:  \
875         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
876 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo:  \
877         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
878 src/cpp/$(am__dirstamp):
879         @$(MKDIR_P) src/cpp
880         @: > src/cpp/$(am__dirstamp)
881 src/cpp/$(DEPDIR)/$(am__dirstamp):
882         @$(MKDIR_P) src/cpp/$(DEPDIR)
883         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
884 src/cpp/libscilocalization_algo_la-localization.lo:  \
885         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
886
887 libscilocalization-algo.la: $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_DEPENDENCIES) $(EXTRA_libscilocalization_algo_la_DEPENDENCIES) 
888         $(AM_V_CXXLD)$(CXXLINK)  $(libscilocalization_algo_la_OBJECTS) $(libscilocalization_algo_la_LIBADD) $(LIBS)
889 sci_gateway/c/$(am__dirstamp):
890         @$(MKDIR_P) sci_gateway/c
891         @: > sci_gateway/c/$(am__dirstamp)
892 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
893         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
894         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
895 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo:  \
896         sci_gateway/c/$(am__dirstamp) \
897         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
898 sci_gateway/c/libscilocalization_la-sci_gettext.lo:  \
899         sci_gateway/c/$(am__dirstamp) \
900         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
901 sci_gateway/cpp/$(am__dirstamp):
902         @$(MKDIR_P) sci_gateway/cpp
903         @: > sci_gateway/cpp/$(am__dirstamp)
904 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
905         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
906         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
907 sci_gateway/cpp/libscilocalization_la-localization_gw.lo:  \
908         sci_gateway/cpp/$(am__dirstamp) \
909         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
910 sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo:  \
911         sci_gateway/cpp/$(am__dirstamp) \
912         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
913 sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo:  \
914         sci_gateway/cpp/$(am__dirstamp) \
915         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
916 sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo:  \
917         sci_gateway/cpp/$(am__dirstamp) \
918         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
919 sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo:  \
920         sci_gateway/cpp/$(am__dirstamp) \
921         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
922
923 libscilocalization.la: $(libscilocalization_la_OBJECTS) $(libscilocalization_la_DEPENDENCIES) $(EXTRA_libscilocalization_la_DEPENDENCIES) 
924         $(AM_V_CXXLD)$(libscilocalization_la_LINK) -rpath $(pkglibdir) $(libscilocalization_la_OBJECTS) $(libscilocalization_la_LIBADD) $(LIBS)
925
926 mostlyclean-compile:
927         -rm -f *.$(OBJEXT)
928         -rm -f sci_gateway/c/*.$(OBJEXT)
929         -rm -f sci_gateway/c/*.lo
930         -rm -f sci_gateway/cpp/*.$(OBJEXT)
931         -rm -f sci_gateway/cpp/*.lo
932         -rm -f src/c/*.$(OBJEXT)
933         -rm -f src/c/*.lo
934         -rm -f src/cpp/*.$(OBJEXT)
935         -rm -f src/cpp/*.lo
936         -rm -f src/jni/*.$(OBJEXT)
937         -rm -f src/jni/*.lo
938
939 distclean-compile:
940         -rm -f *.tab.c
941
942 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo@am__quote@
943 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo@am__quote@
944 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Plo@am__quote@
945 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo@am__quote@
946 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo@am__quote@
947 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo@am__quote@
948 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo@am__quote@
949 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo@am__quote@
950 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo@am__quote@
951 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo@am__quote@
952 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo@am__quote@
953 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo@am__quote@
954 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo@am__quote@
955 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Plo@am__quote@
956 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo@am__quote@
957 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo@am__quote@
958 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo@am__quote@
959
960 .c.o:
961 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
962 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
963 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
967
968 .c.obj:
969 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
970 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
971 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
975
976 .c.lo:
977 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
978 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
979 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
981 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
982 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
983
984 src/c/libscilocalization_algo_la-InitializeLocalization.lo: src/c/InitializeLocalization.c
985 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-InitializeLocalization.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
986 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-InitializeLocalization.Plo
987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/InitializeLocalization.c' object='src/c/libscilocalization_algo_la-InitializeLocalization.lo' libtool=yes @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-InitializeLocalization.lo `test -f 'src/c/InitializeLocalization.c' || echo '$(srcdir)/'`src/c/InitializeLocalization.c
990
991 src/c/libscilocalization_algo_la-setgetlanguage.lo: src/c/setgetlanguage.c
992 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setgetlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
993 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setgetlanguage.Plo
994 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setgetlanguage.c' object='src/c/libscilocalization_algo_la-setgetlanguage.lo' libtool=yes @AMDEPBACKSLASH@
995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setgetlanguage.lo `test -f 'src/c/setgetlanguage.c' || echo '$(srcdir)/'`src/c/setgetlanguage.c
997
998 src/c/libscilocalization_algo_la-getLcidString.lo: src/c/getLcidString.c
999 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLcidString.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
1000 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLcidString.Plo
1001 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLcidString.c' object='src/c/libscilocalization_algo_la-getLcidString.lo' libtool=yes @AMDEPBACKSLASH@
1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1003 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLcidString.lo `test -f 'src/c/getLcidString.c' || echo '$(srcdir)/'`src/c/getLcidString.c
1004
1005 src/c/libscilocalization_algo_la-charEncoding.lo: src/c/charEncoding.c
1006 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-charEncoding.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
1007 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-charEncoding.Plo
1008 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/charEncoding.c' object='src/c/libscilocalization_algo_la-charEncoding.lo' libtool=yes @AMDEPBACKSLASH@
1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1010 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-charEncoding.lo `test -f 'src/c/charEncoding.c' || echo '$(srcdir)/'`src/c/charEncoding.c
1011
1012 src/c/libscilocalization_algo_la-setdefaultlanguage.lo: src/c/setdefaultlanguage.c
1013 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-setdefaultlanguage.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
1014 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage.Plo
1015 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setdefaultlanguage.c' object='src/c/libscilocalization_algo_la-setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1017 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-setdefaultlanguage.lo `test -f 'src/c/setdefaultlanguage.c' || echo '$(srcdir)/'`src/c/setdefaultlanguage.c
1018
1019 src/jni/libscilocalization_algo_la-Messages_wrap.lo: src/jni/Messages_wrap.c
1020 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-Messages_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
1021 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-Messages_wrap.Plo
1022 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/Messages_wrap.c' object='src/jni/libscilocalization_algo_la-Messages_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1024 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-Messages_wrap.lo `test -f 'src/jni/Messages_wrap.c' || echo '$(srcdir)/'`src/jni/Messages_wrap.c
1025
1026 src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo: src/jni/LocaleToLCID_wrap.c
1027 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
1028 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-LocaleToLCID_wrap.Plo
1029 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/LocaleToLCID_wrap.c' object='src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1030 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1031 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-LocaleToLCID_wrap.lo `test -f 'src/jni/LocaleToLCID_wrap.c' || echo '$(srcdir)/'`src/jni/LocaleToLCID_wrap.c
1032
1033 src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo: src/jni/setdefaultlanguage_wrap.c
1034 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
1035 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Tpo src/jni/$(DEPDIR)/libscilocalization_algo_la-setdefaultlanguage_wrap.Plo
1036 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/setdefaultlanguage_wrap.c' object='src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1037 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1038 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libscilocalization_algo_la-setdefaultlanguage_wrap.lo `test -f 'src/jni/setdefaultlanguage_wrap.c' || echo '$(srcdir)/'`src/jni/setdefaultlanguage_wrap.c
1039
1040 src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo: src/c/getLocaleInfo_Apple.c
1041 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo -MD -MP -MF src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
1042 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Tpo src/c/$(DEPDIR)/libscilocalization_algo_la-getLocaleInfo_Apple.Plo
1043 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getLocaleInfo_Apple.c' object='src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo' libtool=yes @AMDEPBACKSLASH@
1044 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1045 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscilocalization_algo_la-getLocaleInfo_Apple.lo `test -f 'src/c/getLocaleInfo_Apple.c' || echo '$(srcdir)/'`src/c/getLocaleInfo_Apple.c
1046
1047 sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo: sci_gateway/c/sci_addlocalizationdomain.c
1048 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1049 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_addlocalizationdomain.Plo
1050 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_addlocalizationdomain.c' object='sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo' libtool=yes @AMDEPBACKSLASH@
1051 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1052 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_addlocalizationdomain.lo `test -f 'sci_gateway/c/sci_addlocalizationdomain.c' || echo '$(srcdir)/'`sci_gateway/c/sci_addlocalizationdomain.c
1053
1054 sci_gateway/c/libscilocalization_la-sci_gettext.lo: sci_gateway/c/sci_gettext.c
1055 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscilocalization_la-sci_gettext.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
1056 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Tpo sci_gateway/c/$(DEPDIR)/libscilocalization_la-sci_gettext.Plo
1057 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_gettext.c' object='sci_gateway/c/libscilocalization_la-sci_gettext.lo' libtool=yes @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(libscilocalization_la_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscilocalization_la-sci_gettext.lo `test -f 'sci_gateway/c/sci_gettext.c' || echo '$(srcdir)/'`sci_gateway/c/sci_gettext.c
1060
1061 .cpp.o:
1062 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1063 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1064 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1068
1069 .cpp.obj:
1070 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1071 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1072 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1074 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1075 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1076
1077 .cpp.lo:
1078 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1079 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1080 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1082 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1083 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1084
1085 src/cpp/libscilocalization_algo_la-localization.lo: src/cpp/localization.cpp
1086 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscilocalization_algo_la-localization.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Tpo -c -o src/cpp/libscilocalization_algo_la-localization.lo `test -f 'src/cpp/localization.cpp' || echo '$(srcdir)/'`src/cpp/localization.cpp
1087 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Tpo src/cpp/$(DEPDIR)/libscilocalization_algo_la-localization.Plo
1088 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/localization.cpp' object='src/cpp/libscilocalization_algo_la-localization.lo' libtool=yes @AMDEPBACKSLASH@
1089 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1090 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscilocalization_algo_la-localization.lo `test -f 'src/cpp/localization.cpp' || echo '$(srcdir)/'`src/cpp/localization.cpp
1091
1092 sci_gateway/cpp/libscilocalization_la-localization_gw.lo: sci_gateway/cpp/localization_gw.cpp
1093 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-localization_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Tpo -c -o sci_gateway/cpp/libscilocalization_la-localization_gw.lo `test -f 'sci_gateway/cpp/localization_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/localization_gw.cpp
1094 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-localization_gw.Plo
1095 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/localization_gw.cpp' object='sci_gateway/cpp/libscilocalization_la-localization_gw.lo' libtool=yes @AMDEPBACKSLASH@
1096 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1097 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-localization_gw.lo `test -f 'sci_gateway/cpp/localization_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/localization_gw.cpp
1098
1099 sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo: sci_gateway/cpp/sci_setdefaultlanguage.cpp
1100 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_setdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setdefaultlanguage.cpp
1101 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setdefaultlanguage.Plo
1102 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_setdefaultlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1103 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1104 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_setdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_setdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setdefaultlanguage.cpp
1105
1106 sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo: sci_gateway/cpp/sci_getdefaultlanguage.cpp
1107 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_getdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getdefaultlanguage.cpp
1108 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getdefaultlanguage.Plo
1109 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getdefaultlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1110 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1111 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_getdefaultlanguage.lo `test -f 'sci_gateway/cpp/sci_getdefaultlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getdefaultlanguage.cpp
1112
1113 sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo: sci_gateway/cpp/sci_setlanguage.cpp
1114 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/cpp/sci_setlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setlanguage.cpp
1115 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_setlanguage.Plo
1116 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_setlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1117 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1118 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_setlanguage.lo `test -f 'sci_gateway/cpp/sci_setlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_setlanguage.cpp
1119
1120 sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo: sci_gateway/cpp/sci_getlanguage.cpp
1121 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo -c -o sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/cpp/sci_getlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getlanguage.cpp
1122 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Tpo sci_gateway/cpp/$(DEPDIR)/libscilocalization_la-sci_getlanguage.Plo
1123 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getlanguage.cpp' object='sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo' libtool=yes @AMDEPBACKSLASH@
1124 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1125 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscilocalization_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscilocalization_la-sci_getlanguage.lo `test -f 'sci_gateway/cpp/sci_getlanguage.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getlanguage.cpp
1126
1127 mostlyclean-libtool:
1128         -rm -f *.lo
1129
1130 clean-libtool:
1131         -rm -rf .libs _libs
1132         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1133         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1134         -rm -rf src/c/.libs src/c/_libs
1135         -rm -rf src/cpp/.libs src/cpp/_libs
1136         -rm -rf src/jni/.libs src/jni/_libs
1137 install-libscilocalization_la_etcDATA: $(libscilocalization_la_etc_DATA)
1138         @$(NORMAL_INSTALL)
1139         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1140         if test -n "$$list"; then \
1141           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1142           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit 1; \
1143         fi; \
1144         for p in $$list; do \
1145           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1146           echo "$$d$$p"; \
1147         done | $(am__base_list) | \
1148         while read files; do \
1149           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_etcdir)'"; \
1150           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_etcdir)" || exit $$?; \
1151         done
1152
1153 uninstall-libscilocalization_la_etcDATA:
1154         @$(NORMAL_UNINSTALL)
1155         @list='$(libscilocalization_la_etc_DATA)'; test -n "$(libscilocalization_la_etcdir)" || list=; \
1156         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1157         dir='$(DESTDIR)$(libscilocalization_la_etcdir)'; $(am__uninstall_files_from_dir)
1158 install-libscilocalization_la_rootDATA: $(libscilocalization_la_root_DATA)
1159         @$(NORMAL_INSTALL)
1160         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1161         if test -n "$$list"; then \
1162           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1163           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit 1; \
1164         fi; \
1165         for p in $$list; do \
1166           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1167           echo "$$d$$p"; \
1168         done | $(am__base_list) | \
1169         while read files; do \
1170           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_rootdir)'"; \
1171           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_rootdir)" || exit $$?; \
1172         done
1173
1174 uninstall-libscilocalization_la_rootDATA:
1175         @$(NORMAL_UNINSTALL)
1176         @list='$(libscilocalization_la_root_DATA)'; test -n "$(libscilocalization_la_rootdir)" || list=; \
1177         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1178         dir='$(DESTDIR)$(libscilocalization_la_rootdir)'; $(am__uninstall_files_from_dir)
1179 install-libscilocalization_la_sci_gatewayDATA: $(libscilocalization_la_sci_gateway_DATA)
1180         @$(NORMAL_INSTALL)
1181         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1182         if test -n "$$list"; then \
1183           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1184           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit 1; \
1185         fi; \
1186         for p in $$list; do \
1187           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1188           echo "$$d$$p"; \
1189         done | $(am__base_list) | \
1190         while read files; do \
1191           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'"; \
1192           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" || exit $$?; \
1193         done
1194
1195 uninstall-libscilocalization_la_sci_gatewayDATA:
1196         @$(NORMAL_UNINSTALL)
1197         @list='$(libscilocalization_la_sci_gateway_DATA)'; test -n "$(libscilocalization_la_sci_gatewaydir)" || list=; \
1198         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1199         dir='$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1200 install-libscilocalization_la_includeHEADERS: $(libscilocalization_la_include_HEADERS)
1201         @$(NORMAL_INSTALL)
1202         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1203         if test -n "$$list"; then \
1204           echo " $(MKDIR_P) '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1205           $(MKDIR_P) "$(DESTDIR)$(libscilocalization_la_includedir)" || exit 1; \
1206         fi; \
1207         for p in $$list; do \
1208           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1209           echo "$$d$$p"; \
1210         done | $(am__base_list) | \
1211         while read files; do \
1212           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscilocalization_la_includedir)'"; \
1213           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscilocalization_la_includedir)" || exit $$?; \
1214         done
1215
1216 uninstall-libscilocalization_la_includeHEADERS:
1217         @$(NORMAL_UNINSTALL)
1218         @list='$(libscilocalization_la_include_HEADERS)'; test -n "$(libscilocalization_la_includedir)" || list=; \
1219         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1220         dir='$(DESTDIR)$(libscilocalization_la_includedir)'; $(am__uninstall_files_from_dir)
1221
1222 ID: $(am__tagged_files)
1223         $(am__define_uniq_tagged_files); mkid -fID $$unique
1224 tags: tags-am
1225 TAGS: tags
1226
1227 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1228         set x; \
1229         here=`pwd`; \
1230         $(am__define_uniq_tagged_files); \
1231         shift; \
1232         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1233           test -n "$$unique" || unique=$$empty_fix; \
1234           if test $$# -gt 0; then \
1235             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1236               "$$@" $$unique; \
1237           else \
1238             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1239               $$unique; \
1240           fi; \
1241         fi
1242 ctags: ctags-am
1243
1244 CTAGS: ctags
1245 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1246         $(am__define_uniq_tagged_files); \
1247         test -z "$(CTAGS_ARGS)$$unique" \
1248           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1249              $$unique
1250
1251 GTAGS:
1252         here=`$(am__cd) $(top_builddir) && pwd` \
1253           && $(am__cd) $(top_srcdir) \
1254           && gtags -i $(GTAGS_ARGS) "$$here"
1255 cscopelist: cscopelist-am
1256
1257 cscopelist-am: $(am__tagged_files)
1258         list='$(am__tagged_files)'; \
1259         case "$(srcdir)" in \
1260           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1261           *) sdir=$(subdir)/$(srcdir) ;; \
1262         esac; \
1263         for i in $$list; do \
1264           if test -f "$$i"; then \
1265             echo "$(subdir)/$$i"; \
1266           else \
1267             echo "$$sdir/$$i"; \
1268           fi; \
1269         done >> $(top_builddir)/cscope.files
1270
1271 distclean-tags:
1272         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1273
1274 distdir: $(DISTFILES)
1275         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1276         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1277         list='$(DISTFILES)'; \
1278           dist_files=`for file in $$list; do echo $$file; done | \
1279           sed -e "s|^$$srcdirstrip/||;t" \
1280               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1281         case $$dist_files in \
1282           */*) $(MKDIR_P) `echo "$$dist_files" | \
1283                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1284                            sort -u` ;; \
1285         esac; \
1286         for file in $$dist_files; do \
1287           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1288           if test -d $$d/$$file; then \
1289             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1290             if test -d "$(distdir)/$$file"; then \
1291               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1292             fi; \
1293             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1294               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1295               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1296             fi; \
1297             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1298           else \
1299             test -f "$(distdir)/$$file" \
1300             || cp -p $$d/$$file "$(distdir)/$$file" \
1301             || exit 1; \
1302           fi; \
1303         done
1304 check-am: all-am
1305         $(MAKE) $(AM_MAKEFLAGS) check-local
1306 check: $(BUILT_SOURCES)
1307         $(MAKE) $(AM_MAKEFLAGS) check-am
1308 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1309 installdirs:
1310         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscilocalization_la_etcdir)" "$(DESTDIR)$(libscilocalization_la_rootdir)" "$(DESTDIR)$(libscilocalization_la_sci_gatewaydir)" "$(DESTDIR)$(libscilocalization_la_includedir)"; do \
1311           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1312         done
1313 install: $(BUILT_SOURCES)
1314         $(MAKE) $(AM_MAKEFLAGS) install-am
1315 install-exec: install-exec-am
1316 install-data: install-data-am
1317 uninstall: uninstall-am
1318
1319 install-am: all-am
1320         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1321
1322 installcheck: installcheck-am
1323 install-strip:
1324         if test -z '$(STRIP)'; then \
1325           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1326             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1327               install; \
1328         else \
1329           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1330             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1331             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1332         fi
1333 mostlyclean-generic:
1334
1335 clean-generic:
1336
1337 distclean-generic:
1338         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1339         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1340         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1341         -rm -f sci_gateway/c/$(am__dirstamp)
1342         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1343         -rm -f sci_gateway/cpp/$(am__dirstamp)
1344         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1345         -rm -f src/c/$(am__dirstamp)
1346         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1347         -rm -f src/cpp/$(am__dirstamp)
1348         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1349         -rm -f src/jni/$(am__dirstamp)
1350
1351 maintainer-clean-generic:
1352         @echo "This command is intended for maintainers to use"
1353         @echo "it deletes files that may require special tools to rebuild."
1354         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1355 clean: clean-am
1356
1357 clean-am: clean-generic clean-libtool clean-local \
1358         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1359
1360 distclean: distclean-am
1361         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR)
1362         -rm -f Makefile
1363 distclean-am: clean-am distclean-compile distclean-generic \
1364         distclean-local distclean-tags
1365
1366 dvi: dvi-am
1367
1368 dvi-am:
1369
1370 html: html-am
1371
1372 html-am:
1373
1374 info: info-am
1375
1376 info-am:
1377
1378 install-data-am: install-data-local \
1379         install-libscilocalization_la_etcDATA \
1380         install-libscilocalization_la_includeHEADERS \
1381         install-libscilocalization_la_rootDATA \
1382         install-libscilocalization_la_sci_gatewayDATA
1383
1384 install-dvi: install-dvi-am
1385
1386 install-dvi-am:
1387
1388 install-exec-am: install-pkglibLTLIBRARIES
1389
1390 install-html: install-html-am
1391
1392 install-html-am: install-html-local
1393
1394 install-info: install-info-am
1395
1396 install-info-am:
1397
1398 install-man:
1399
1400 install-pdf: install-pdf-am
1401
1402 install-pdf-am:
1403
1404 install-ps: install-ps-am
1405
1406 install-ps-am:
1407
1408 installcheck-am:
1409
1410 maintainer-clean: maintainer-clean-am
1411         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR)
1412         -rm -f Makefile
1413 maintainer-clean-am: distclean-am maintainer-clean-generic
1414
1415 mostlyclean: mostlyclean-am
1416
1417 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1418         mostlyclean-libtool
1419
1420 pdf: pdf-am
1421
1422 pdf-am:
1423
1424 ps: ps-am
1425
1426 ps-am:
1427
1428 uninstall-am: uninstall-libscilocalization_la_etcDATA \
1429         uninstall-libscilocalization_la_includeHEADERS \
1430         uninstall-libscilocalization_la_rootDATA \
1431         uninstall-libscilocalization_la_sci_gatewayDATA \
1432         uninstall-pkglibLTLIBRARIES
1433
1434 .MAKE: all check check-am install install-am install-strip
1435
1436 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1437         check-local clean clean-generic clean-libtool clean-local \
1438         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1439         ctags ctags-am distclean distclean-compile distclean-generic \
1440         distclean-libtool distclean-local distclean-tags distdir dvi \
1441         dvi-am html html-am info info-am install install-am \
1442         install-data install-data-am install-data-local install-dvi \
1443         install-dvi-am install-exec install-exec-am install-html \
1444         install-html-am install-html-local install-info \
1445         install-info-am install-libscilocalization_la_etcDATA \
1446         install-libscilocalization_la_includeHEADERS \
1447         install-libscilocalization_la_rootDATA \
1448         install-libscilocalization_la_sci_gatewayDATA install-man \
1449         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1450         install-ps install-ps-am install-strip installcheck \
1451         installcheck-am installdirs maintainer-clean \
1452         maintainer-clean-generic mostlyclean mostlyclean-compile \
1453         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1454         tags tags-am uninstall uninstall-am \
1455         uninstall-libscilocalization_la_etcDATA \
1456         uninstall-libscilocalization_la_includeHEADERS \
1457         uninstall-libscilocalization_la_rootDATA \
1458         uninstall-libscilocalization_la_sci_gatewayDATA \
1459         uninstall-pkglibLTLIBRARIES
1460
1461 .PRECIOUS: Makefile
1462
1463
1464 # This target enables tests for Scilab
1465 check-local: $(top_builddir)/scilab-bin test
1466         if test -d $(mydatadir)/tests; then \
1467           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1468         fi
1469 check-code:
1470         if test -f build.xml; then \
1471                 $(ANT) checkstyle; \
1472         fi
1473         if test -x "$(SPLINT)"; then \
1474                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1475         fi
1476 @NEED_JAVA_TRUE@java:
1477 # Some configurations needs to export JAVA_HOME in the current env
1478 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1479 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1480 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1481 @NEED_JAVA_TRUE@                $(ANT); \
1482 @NEED_JAVA_TRUE@        fi
1483
1484 @NEED_JAVA_TRUE@clean-java:
1485 # Some configurations needs to export JAVA_HOME in the current env
1486 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1487 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1488 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1489 @NEED_JAVA_TRUE@                $(ANT) clean; \
1490 @NEED_JAVA_TRUE@        fi;
1491
1492 # If the user request for the SWIG generation of the wrappers Java => C/C++
1493 # We call the target swig-build on the variable SWIG_WRAPPERS
1494
1495 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1496 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1497 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1498 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1499 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1500 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1501 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1502 @SWIG_TRUE@             done; \
1503 @SWIG_TRUE@     fi
1504
1505 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1506 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1507 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1508 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1509 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1510 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1511 @SWIG_TRUE@             done; \
1512 @SWIG_TRUE@     fi
1513
1514 # If the user request for the SWIG generation of the wrappers Java => C/C++
1515 # We call the target swig-build on the variable SWIG_WRAPPERS
1516
1517 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1518 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1519 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1520 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1521 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1522 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1523 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1524 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1525 @GIWS_TRUE@                     else \
1526 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1527 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1528 @GIWS_TRUE@                     fi \
1529 @GIWS_TRUE@             done; \
1530 @GIWS_TRUE@     fi
1531
1532 @GIWS_TRUE@giws-exception:
1533 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1534 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1535 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1536
1537 macros:
1538         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1539                 echo "Error : Cannot build $< : Scilab has not been built"; \
1540         else \
1541                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1542         fi)
1543
1544 # Removes the macros
1545 clean-macros:
1546 # Removes macros (*.bin generated from .sci)
1547         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1548                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1549                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1550         done
1551
1552 test:
1553 # More tests could be added here
1554         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1555         if test -f build.xml -a $$USEANT -eq 1; then \
1556                 $(ANT) test; \
1557         fi
1558
1559 all-local: $(TARGETS_ALL)
1560
1561 .sci.bin:
1562         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1563         echo "Error : Cannot build $< : Scilab has not been build"; \
1564         else \
1565         echo "Creating $@"; \
1566         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1567         fi )
1568
1569 install-html-local:
1570
1571 install-data-local-local:
1572 # Mainly for javasci
1573         @if test -d $(srcdir)/javadoc; then \
1574                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1575         fi
1576 # If the user wants the help sources to be installed
1577 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1578 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1579 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1580 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1581 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1582 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1583 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1584 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1585 @INSTALL_HELP_XML_TRUE@           done ; \
1586 @INSTALL_HELP_XML_TRUE@         fi; \
1587 @INSTALL_HELP_XML_TRUE@  fi; \
1588 @INSTALL_HELP_XML_TRUE@ done; \
1589 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1590 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1591 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1592 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1593 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1594 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1595 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1596 @INSTALL_HELP_XML_TRUE@           done ; \
1597 @INSTALL_HELP_XML_TRUE@         fi; \
1598 @INSTALL_HELP_XML_TRUE@ fi
1599 install-data-local:
1600 # Install the tests
1601         @echo "-------- Install tests (if any) --------"; \
1602         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1603           if test -d $(srcdir)/$$dir/; then \
1604             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1605                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1606                     if test -d "$(srcdir)/$$dir/$$file"; then \
1607                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1608                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1609                     else \
1610                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1611                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1612                     fi \
1613                   done; \
1614           fi; \
1615         done
1616 # Install the help chapter
1617         @echo "-------- Install the help chapter (if any) --------"; \
1618         for lang in $(HELP_CHAPTERLANG); do \
1619                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1620                 if test -f $$HELPFILE; then \
1621                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1622                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1623                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1624                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1625                 fi; \
1626         done
1627 # Install the demos & examples
1628         @echo "-------- Install demos & examples (if any) --------"; \
1629         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1630           if test -d $(srcdir)/$$dir/; then \
1631             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1632                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1633                     if test -d "$(srcdir)/$$dir/$$file"; then \
1634                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1635                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1636                     else \
1637                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1638                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1639                     fi \
1640                   done; \
1641           fi; \
1642         done
1643 # Install the macros
1644         @echo "-------- Install macros (if any) --------"; \
1645         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1646           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1647                 if test -d $(srcdir)/$$dir/; then \
1648                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1649                         if test -n "$(MACROSSPECIALEXT)"; then \
1650                                 specialExtDir=""; \
1651                                 for specialExt in $(MACROSSPECIALEXT); do \
1652                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1653                                 done; \
1654                                 FILELIST="$$FILELIST $$specialExtDir"; \
1655                         fi; \
1656                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1657                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1658                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1659                   done; \
1660                 fi; \
1661         done
1662 # Install java files (.jar)
1663         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1664         echo "-------- Install jar files --------"; \
1665     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1666           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1667                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1668                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1669           done ; \
1670         fi
1671
1672 ########### CLEAN ###################
1673 # Clean help (generated automatically by Scilab)
1674 # It used to clean the macro (clean-macros) but this was causing
1675 # make clean && make to fail Scilab startup
1676 @NEED_JAVA_TRUE@clean-local: clean-java
1677 @NEED_JAVA_FALSE@clean-local:
1678
1679 distclean-local:
1680         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1681
1682 .PHONY: macros java swig giws
1683
1684 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1685 # Otherwise a system limit (for SysV at least) may be exceeded.
1686 .NOEXPORT: